> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Gl Account



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/alpha/general_ledger/accounts/create
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/general_ledger/accounts/create:
    post:
      tags:
        - gl_accounts
        - quanta-services-api
      summary: Create Gl Account
      operationId: create_gl_account
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGlAccountRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGlAccountResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateGlAccountRequest:
      properties:
        name:
          type: string
          minLength: 4
          title: Name
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        account_type:
          $ref: '#/components/schemas/AccountType'
        parent_account_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Account Qid
        lookup_id:
          anyOf:
            - type: string
              minLength: 4
            - type: 'null'
          title: Lookup Id
        lookup_id_overrides:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Lookup Id Overrides
          description: Additional lookup IDs to route to the new account.
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
      type: object
      required:
        - name
        - account_type
      title: CreateGlAccountRequest
    CreateGlAccountResponse:
      properties:
        account:
          $ref: '#/components/schemas/CreatedGlAccount'
      type: object
      required:
        - account
      title: CreateGlAccountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
    CreatedGlAccount:
      properties:
        account_qid:
          type: string
          title: Account Qid
        name:
          type: string
          title: Name
      type: object
      required:
        - account_qid
        - name
      title: CreatedGlAccount
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.